diff -pruN 3.6.0-2/debian/changelog 3.6.0-3/debian/changelog
--- 3.6.0-2/debian/changelog	2024-06-26 15:51:36.000000000 +0000
+++ 3.6.0-3/debian/changelog	2024-06-27 14:01:23.000000000 +0000
@@ -1,3 +1,9 @@
+otpclient (3.6.0-3) unstable; urgency=medium
+
+  * Add debian/patches/002-fix-freeotp-export.patch. (Closes: #1074263)
+
+ -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 27 Jun 2024 14:01:23 +0000
+
 otpclient (3.6.0-2) unstable; urgency=medium
 
   * Update debian/otpclient-cli.1. (Closes: #1074260)
diff -pruN 3.6.0-2/debian/patches/002-fix-freeotp-export.patch 3.6.0-3/debian/patches/002-fix-freeotp-export.patch
--- 3.6.0-2/debian/patches/002-fix-freeotp-export.patch	1970-01-01 00:00:00.000000000 +0000
+++ 3.6.0-3/debian/patches/002-fix-freeotp-export.patch	2024-06-27 13:57:48.000000000 +0000
@@ -0,0 +1,32 @@
+Description: Fix FreeOTP+ export.
+Author: Paolo Stivanin <info@paolostivanin.com>
+Bug-Debian: https://bugs.debian.org/1074263
+Bug: https://github.com/paolostivanin/OTPClient/issues/367
+Origin: upstream, https://github.com/paolostivanin/OTPClient/commit/a3c31a412c86c8eae981f347f9c6fe6e914934e7.patch
+Forwarded: not-needed
+Last-Update: 2024-06-27
+
+--- a/src/common/parse-uri.c
++++ b/src/common/parse-uri.c
+@@ -58,9 +58,12 @@ get_otpauth_uri (json_t *obj)
+     if (issuer != NULL && g_ascii_strcasecmp (issuer, "steam") == 0) {
+         g_string_append (uri, "&issuer=Steam");
+     }
++
++    gchar *escaped_issuer = NULL;
+     if (issuer != NULL && g_utf8_strlen (issuer, -1) > 0) {
+         g_string_append (uri, "&issuer=");
+-        g_string_append (uri, json_string_value (json_object_get (obj, "issuer")));
++        escaped_issuer = g_uri_escape_string (json_string_value (json_object_get (obj, "issuer")), NULL, FALSE);
++        g_string_append (uri,escaped_issuer);
+     }
+ 
+     gchar *str_to_append = NULL;
+@@ -87,6 +90,7 @@ get_otpauth_uri (json_t *obj)
+ 
+     g_free (constructed_label);
+     g_free (escaped_label);
++    g_free (escaped_issuer);
+ 
+     return g_string_free (uri, FALSE);
+ }
diff -pruN 3.6.0-2/debian/patches/series 3.6.0-3/debian/patches/series
--- 3.6.0-2/debian/patches/series	2024-06-26 15:51:36.000000000 +0000
+++ 3.6.0-3/debian/patches/series	2024-06-27 13:58:47.000000000 +0000
@@ -1 +1,2 @@
 001-use_debhelper_CFLAGS.patch
+002-fix-freeotp-export.patch
